// Arquivo de exemplo: Generics.cs
// Para compilar utilize: csc Generics.cs

using System;

public class Exibir<T> {
	T t;

	public T Saida {
		get { return t; }
	}

	public void Formatar(T entrada) {
		t = entrada;
	}
}

class Programa {
	static void Main() {
		Exibir<string> ex = new Exibir<string>();
		ex.Formatar("Isto é um teste.");
		Console.WriteLine(ex.Saida);
		Console.Read();
	}	
}
